Bug 179467 - VFS Busy inodes error doesn't show device
VFS Busy inodes error doesn't show device
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-31 11:52 EST by James Hunt
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 17:54:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Hunt 2006-01-31 11:52:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I got the following error earlier:

  kernel: VFS: Busy inodes after unmount. Self-destruct in 5 seconds.
  Have a nice day...

After chortling at the witty warning, I realized that I had no idea which device it was complaining about. I had 18 LV's mounted at the time, along with 3 NFS mounts. The likelihood is that the message was generated by one of the NFS mounts being auto-unmounted by the autofs service, but which one?

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1656_FC4

How reproducible:
Didn't try


Actual Results:   VFS: Busy inodes after unmount. Self-destruct in 5 seconds.  Have a nice day...

Expected Results:  No error preferably (! ;-), or an error message more like this:

 VFS: Busy inodes after unmount on device <device>. Self-destruct in 5 seconds.
 Have a nice day...

Additional info:

Responsible code appears to be fs/super.c ...

if (invalidate_inodes(sb)) {
  printk("VFS: Busy inodes after unmount. "
         Self-destruct in 5 seconds.  Have a nice day...\n");
}

Could we change this to something like...

if (invalidate_inodes(sb)) {
  printk("VFS: Busy inodes after unmount of device %s. "
         Self-destruct in 5 seconds.  Have a nice day...\n", sb->s_id);
}

Whilst we're at it, maybe we could avoid
Comment 1 James Hunt 2006-01-31 11:54:22 EST
Ahem. Strike the last incomplete line.

Thanks!

James
Comment 2 Dave Jones 2006-02-03 02:19:53 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 James Hunt 2006-04-08 06:03:58 EDT
It's still in the vanilla 2.6.16 source. I've just spotted a bug in my
suggestion too. It should presumably be something like:

if (invalidate_inodes(sb)) {
  printk("VFS: Busy inodes after unmount of device %.*s. "
         Self-destruct in 5 seconds.  Have a nice day...\n",
         sizeof(sb->s_id), sb->s_id);
}

Comment 4 James Hunt 2006-04-18 16:37:35 EDT
Out of interest, where does the 5 seconds come from?
Comment 5 Dave Jones 2006-09-16 23:06:14 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 6 Dave Jones 2006-10-16 20:13:27 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Dave Jones 2006-11-24 17:54:28 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.